al_fclearerr(3)

NAME

al_fclearerr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_fclearerr(ALLEGRO_FILE *f)

DESCRIPTION

Clear the error indicator for the given file.

The standard I/O backend also clears the end-of-file indicator, and other backends should try to do this. However, they may not if it would require too much effort (e.g. PhysicsFS backend), so your code should not rely on it if you need your code to be portable to other backends.

SEE ALSO

al_ferror(3), al_feof(3)